package net.pokeranalytics.android.ui.view.rowrepresentable

import net.pokeranalytics.android.R
import net.pokeranalytics.android.ui.fragment.components.bottomsheet.BottomSheetType
import net.pokeranalytics.android.ui.view.DefaultEditDataSource
import net.pokeranalytics.android.ui.view.RowRepresentable
import net.pokeranalytics.android.ui.view.RowViewType

enum class GameRow : RowRepresentable, DefaultEditDataSource {
    SHORT_NAME;

    override val resId: Int?
        get() {
            return when (this) {
                SHORT_NAME -> R.string.short_name
            }
        }

    override val viewType: Int
        get() {
            return when (this) {
                SHORT_NAME -> RowViewType.TITLE_VALUE.ordinal
            }
        }

    override val bottomSheetType: BottomSheetType
        get() {
            return when (this) {
                SHORT_NAME -> BottomSheetType.EDIT_TEXT
            }
        }

}